Bug 2072547 - NetworkPolicy tests are failing on metal IPv6
Summary: NetworkPolicy tests are failing on metal IPv6
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.11
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.11.0
Assignee: Jacob Tanenbaum
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks: 2074844
TreeView+ depends on / blocked
 
Reported: 2022-04-06 13:51 UTC by Stephen Benjamin
Modified: 2022-04-20 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2074839 2074844 (view as bug list)
Environment:
Last Closed: 2022-04-20 17:39:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Benjamin 2022-04-06 13:51:05 UTC
These recently enabled tests are failing on e2e-metal-ovn-ipv6:


[sig-network] NetworkPolicyLegacy [LinuxOnly] NetworkPolicy between server and client should allow egress access to server in CIDR block
[sig-network] NetworkPolicyLegacy [LinuxOnly] NetworkPolicy between server and client should enforce policies to check ingress and egress policies can be controlled independently based on PodSelector
[sig-network] NetworkPolicyLegacy [LinuxOnly] NetworkPolicy between server and client should enforce egress policy allowing traffic to a server in a different namespace based on PodSelector and NamespaceSelector
[sig-network] NetworkPolicyLegacy [LinuxOnly] NetworkPolicy between server and client should work with Ingress,Egress specified together
[sig-network] NetworkPolicyLegacy [LinuxOnly] NetworkPolicy between server and client should enforce multiple egress policies with egress allow-all policy taking precedence
[sig-network] NetworkPolicyLegacy [LinuxOnly] NetworkPolicy between server and client should ensure an IP overlapping both IPBlock.CIDR and IPBlock.Except is allowed

Example run:
https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift-metal3_dev-scripts/1375/pull-ci-openshift-metal3-dev-scripts-master-e2e-metal-ipi-ovn-ipv6/1511602480234893312

Comment 2 Derek Higgins 2022-04-13 08:56:54 UTC
Cloned to 4.10, this seems to be effecting older releases also 
https://bugzilla.redhat.com/show_bug.cgi?id=2074839


Note You need to log in before you can comment on or make changes to this bug.